Application Blocks for the .NET Compact Framework

原创 2005年05月16日 15:27:00

The OpenNETCF team has worked with the Patterns & Practices team at Microsoft to provide a version of the Application Blocks for the .NET Compact Framework. Application Blocks are code used to address the common challenges that developers face from one project to the next that can be plugged into .NET applications quickly and easily.

我下载了下来一看,发现里面收录了以下Block:

  • Exception Management Application Block
  • Data Access Application Block
  • Caching Application Block
  • Offline Application Block

我不是从事CF开发的,所以没有对这个库进行实际使用,感兴趣的自己测试一下吧:)

.NET Compact Framework 3.5 支持 WCF 的子集

.NET Compact Framework 3.5 已经支持 Windows Communication Foundation (WCF)了,这是 .NET CF 3.5 最让人兴奋的特性之一。不过...
  • upto
  • upto
  • 2007年09月09日 00:12
  • 2068

如何在WinCE 5.0中安装 .Net Compact Framework?

你下载的 NETCFSetupv2.msi(.NET Compact Framework 2.0 Service Pack 2 Redistributable)文件是要求安装在PC机上的,即在PC机上...
  • wxljmy
  • wxljmy
  • 2013年12月26日 19:04
  • 2240

在 .NET Compact Framework 2.0 中使用序列化

1. 序列化概述序列化(Serialization)是.NET平台最酷的特性之一。利用序列化技术,可以实现对象的备份和还原。序列化可以将内存中的对象(或对象图)序列化为数据流,并保存到磁盘上进行持久化...
  • upto
  • upto
  • 2007年06月25日 22:52
  • 7419

.NET Framework/.NET Compact Framework/.NET Micro Framework功能集比较

该资料来源于三亚许云老师的 .NET Micro Framework的讲座,图片中红色部分表示支持的功能,绿色部分表示不支持,不过该图片我看了应该不是最新的,如.NET Compact Framewo...
  • yefanqiu
  • yefanqiu
  • 2007年10月24日 22:02
  • 3748

WINCE .net Compact Framework 2.0 路径

C:\Program Files\Microsoft.NET\SDK\CompactFramework\v2.0\WindowsCE\wce500\armv4i
  • godcyx
  • godcyx
  • 2012年03月13日 14:26
  • 2027

安装Dotnet compact framework 3.5

Dotnet Compact Framework 3.5 有很多性能和稳定性上的提升,但是现在很多手机仍然使用的是3.5以前的版本,所以不管是为了测试开发的软件在3.5下的效果还是让手机上已有的软件提...
  • maoxuchu
  • maoxuchu
  • 2009年06月14日 13:21
  • 992

第一回. 真的了解.NET Compact Framework吗?

作为系列文章的开篇,有必要先详细了解一下基于CE.NET的.NET Compact Framework(以后简称.NET CF),本文叙述了.NET CF的设计目标,架构特征和执行环境。.NET CF...
  • edwardq2266
  • edwardq2266
  • 2008年04月14日 11:59
  • 359

.NET Compact Framework 移动开发步步来(4)

  • zerocoin
  • zerocoin
  • 2010年01月11日 21:20
  • 2022

安装mysql提示This application requires .NET framework 4.0.

问题描述:安装MySQL社区版时遇到This application requires .NET framework 4.0. 解决方法:在http://search.microsoft.com...
  • huazicomeon
  • huazicomeon
  • 2016年12月04日 14:03
  • 16502

安装mysql提示This application requires .NET framework 4.0

本文来自:http://blog.csdn.net/huazicomeon/article/details/53454053 问题描述:安装MySQL社区版时遇到This applicati...
  • heqinghua217
  • heqinghua217
  • 2017年03月15日 13:27
  • 1865
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:Application Blocks for the .NET Compact Framework
举报原因:
原因补充:

(最多只允许输入30个字)